%global momorel 8
%global modname Net-DBus

Summary: Perl extension for the DBus message system
Name: perl-Net-DBus
Version: 0.33.6
Release: %{momorel}m%{?dist}
License: GPL or Artistic
Group: Development/Languages
URL: http://www.cpan.org/modules/by-module/Net/
Source0: http://www.cpan.org/modules/by-module/Net/%{modname}-%{version}.tar.gz
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: perl >= 5.8.5

%description
Net::DBus provides a Perl API for the DBus message system. The DBus
Perl interface is currently operating against the 0.32 development
version of DBus, but should work with later versions too, providing
the API changes have not been too drastic.

Users of this package are either typically, service providers in which
case the Net::DBus::Service and Net::DBus::Object modules are of most
relevance, or are client consumers, in which case
Net::DBus::RemoteService and Net::DBus::RemoteObject are of most
relevance.

%prep
%setup -n %{modname}-%{version} -q

%build
perl Makefile.PL INSTALLDIRS=vendor
make

#%%check
#make test

%install
rm -rf --preserve-root %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS CHANGES LICENSE README
%{perl_vendorarch}/Net/DBus
%{perl_vendorarch}/Net/DBus.pm
%{perl_vendorarch}/auto/Net/DBus
%{_mandir}/man?/*

%clean
rm -rf --preserve-root %{buildroot}

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.33.6-8m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.33.6-7m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.33.6-6m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.33.6-5m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.33.6-4m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.33.6-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.33.6-2m)
- rebuild against gcc43

* Thu Feb 21 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.33.6-1m)
- update to 0.33.6

* Sat Oct 13 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.33.5-1m)
- update to 0.33.5
- do not use %%NoSource macro

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.33.4-3m)
- use vendor

* Sun Feb 25 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.33.4-2m)
- no make check

* Sun Jan 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.33.4-1m)
- initial build
